<common-header></common-header>
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="forgot_wrapper" ng-if="!$ctrl.sent">
				<h4>Forgot Your Password?</h4>
				<p class="forgot-description">Don't worry! We'll help get you back on track.</p>
				<form name="forgotPassword" ng-submit="$ctrl.requestResetLink($ctrl.data)">
					<div class="form-group">
						<label class="labelnormalmedium">Email Address</label>
						<input type="email" 
							class="form-control bio-custom-input" 
							ng-class="{'is-invalid':$ctrl.has_error}"
							ng-change="$ctrl.has_error=false"
							ng-pattern="/^[\w\-\.\+]+\@[a-zA-Z0-9\.\-]+\.[a-zA-z0-9]{2,4}$/"
							ng-model="$ctrl.data.email_address" required />
							<small ng-if="$ctrl.has_error"id="passwordHelp" class="text-danger">
								{{$ctrl.error_message}}
							</small> 
					</div>
					<div class="form-group text-center">
						<button type="submit" class="btn btn-danger biomark-btn-primary" ng-disabled="forgotPassword.$invalid">Send Reset Link</button>
					</div>
				</form>
			</div>
			<div class="forgot_wrapper d-flex justify-content-center align-items-center" ng-if="$ctrl.sent">
				<div>
					<div><b>A verification link has been sent to your email account</b></div><br>
					<p class="forgot-description">We have sent you a link to update your password. This link is valid for 30 minutes.</p>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- <common-footer></common-footer> -->